package com.zcloud.basic.info.event;

import com.jjb.saas.framework.event.consumer.MessageConsumer;
import com.jjb.saas.framework.event.consumer.MsgConsumer;
import com.zcloud.gbscommon.event.user.ZcUserResignation;
import org.springframework.stereotype.Component;

/**
 * @author lin
 */
@Component
@MsgConsumer(tag = "zcloud:user:resignation")
public class UserUpdateAuditStatusConsumer implements MessageConsumer<ZcUserResignation> {
 /*   private RemoteEventPublisher eventPublisher;

    public UserUpdateAuditStatusConsumer(RemoteEventPublisher eventPublisher) {
        this.eventPublisher = eventPublisher;
    }*/

    @Override
    public void consume(ZcUserResignation event) {

        System.out.println(event.getUserId());
        System.out.println(event.getCorpinfoId());
    }


}
